Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Riena » Plug-in versions of the Riena toolbox(Toolbox brings along newer versions of Riena some plug-ins)
icon5.gif  Plug-in versions of the Riena toolbox [message #820515] Wed, 14 March 2012 08:20 Go to next message
Uwe San is currently offline Uwe San
Messages: 96
Registered: January 2012
Member
Hi all,

when I install the Riena toolbox from the given update site (download.eclipse.org/rt/riena/toolbox/20110926), I get v4.0.0 versions of some Riena plug-ins, e.g. org.eclipse.riena.ui.swt and org.eclipse.riena.ui.common. These plug-ins shadow the v3.0.0 versions that were installes into my target platform when I set up Riena for RCP from the update site download.eclipse.org/rt/riena/3.0.0.0/rcp/.

Now some of my Riena plug-ins have different version numbers than others. I know that, in principle, this is not problem and after changing some lines of code to the new v4.0.0 API everything works fine - but I'm wondering if there's a toolbox version with v3.0.0 plug-ins? And why does the toolbox currently come with the v4.0.0 plug-ins when there is no final Riena v4.0.0 yet?

Thanks,
U
Re: Plug-in versions of the Riena toolbox [message #820524 is a reply to message #820515] Wed, 14 March 2012 08:32 Go to previous messageGo to next message
Christian Campo is currently offline Christian Campo
Messages: 590
Registered: July 2009
Senior Member
Am 14.03.12 09:20, schrieb Uwe San:
> Hi all,
>
> when I install the Riena toolbox from the given update site (download.eclipse.org/rt/riena/toolbox/20110926), I get
> v4.0.0 versions of some Riena plug-ins, e.g. org.eclipse.riena.ui.swt and org.eclipse.riena.ui.common. These plug-ins
> shadow the v3.0.0 versions that were installes into my target platform when I set up Riena for RCP from the update site
> download.eclipse.org/rt/riena/3.0.0.0/rcp/.
>
> Now some of my Riena plug-ins have different version numbers than others. I know that, in principle, this is not problem
> and after changing some lines of code to the new v4.0.0 API everything works fine - but I'm wondering if there's a
> toolbox version with v3.0.0 plug-ins? And why does the toolbox currently come with the v4.0.0 plug-ins when there is no
> final Riena v4.0.0 yet?
>
> Thanks,
> U

I think something in your setup is wrong if the IDE plugins shadows targetplatform plugins. In our setup they are
totally unrelated.

If you look at this page http://wiki.eclipse.org/index.php?title=Riena/GettingStarted you see the setup that we have in
mind....

Note that it says that you should start with an empty Target Platform. (Maybe you start with your IDE as Target Platform
????) Then you install Equinox Targets, RCP and Riena.

If you have this setup, no installation into the IDE will conflict with your target platform.

hope that helps
christian
Re: Plug-in versions of the Riena toolbox [message #820529 is a reply to message #820524] Wed, 14 March 2012 08:45 Go to previous messageGo to next message
Uwe San is currently offline Uwe San
Messages: 96
Registered: January 2012
Member
Hi Christian,

thanks for your comments, they made me aware of the erroneous setup of my target platform. Smile

Yet, one question is still open: why does the toolbox currently come with the v4.0.0 plug-ins when there is no final Riena v4.0.0 yet?

U
Re: Plug-in versions of the Riena toolbox [message #821280 is a reply to message #820529] Thu, 15 March 2012 06:21 Go to previous messageGo to next message
Christian Campo is currently offline Christian Campo
Messages: 590
Registered: July 2009
Senior Member
Am 14.03.12 09:45, schrieb Uwe San:
> Hi Christian,
>
> thanks for your comments, they made me aware of the erroneous setup of my target platform. :)
>
> Yet, one question is still open: why does the toolbox currently come with the v4.0.0 plug-ins when there is no final
> Riena v4.0.0 yet?
>
> U
In other words the Toolbox contains milestone bundles of Riena, right ? We consider them to be quite stable, so thats
why we use them. There are also very stable Riena bundles for 4.0. 4.0.0.M6 is coming next week. Milestone bundles are
by its nature NOT necessarily unsafe to use. We ourselves use milestone versions in production environments since we do
a lot of testing for them as well.

does that help ?

christian
Re: Plug-in versions of the Riena toolbox [message #821318 is a reply to message #821280] Thu, 15 March 2012 07:35 Go to previous message
Uwe San is currently offline Uwe San
Messages: 96
Registered: January 2012
Member
Yes, this helps. So the toolbox is a little bit of a testing ground for you.

Thanks,
U
Previous Topic:Riena and Guice
Next Topic:Riena 4.0.0.M6 is out
Goto Forum:
  


Current Time: Wed Sep 03 07:01:18 GMT 2014

Powered by FUDForum. Page generated in 0.01831 seconds